Bug 101526 - Atlantik crashed when trying to connect to Server
Atlantik crashed when trying to connect to Server
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: kdegames (Show other bugs)
beta1
athlon Linux
high Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-08-02 13:32 EDT by Justin Churchey
Modified: 2007-03-27 00:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 10:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Churchey 2003-08-02 13:32:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When trying to connect to a server when using Atlantik, the program crashes, and
gives the following backtrace:

[New Thread -1084381312 (LWP 4856)]
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x0094143e in _dl_sysinfo_int80 ()
   from /lib/ld-linux.so.2
#0  0x0094143e in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00bbfe7c in waitpid () from /lib/tls/libpthread.so.0
#2  0x00e5cba2 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#3  <signal handler called>
#4  0x08054fb7 in QGListIterator::~QGListIterator() ()
#5  0x092ce040 in ?? ()
#6  0x08051f8b in QGListIterator::~QGListIterator() ()
#7  0x011559be in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#8  0x004bd53a in Player::changed(Player*) () from /usr/lib/libatlantic.so.1
#9  0x004bda34 in Player::update(bool) () from /usr/lib/libatlantic.so.1
#10 0x00c4e5a5 in AtlantikNetwork::processNode(QDomNode) ()
   from /usr/lib/libatlantikclient.so.1
#11 0x00c4b696 in AtlantikNetwork::processMsg(QString) ()
   from /usr/lib/libatlantikclient.so.1
#12 0x00c4b48d in AtlantikNetwork::slotRead() ()
   from /usr/lib/libatlantikclient.so.1
#13 0x00c493b5 in AtlantikNetwork::qt_invoke(int, QUObject*) ()
   from /usr/lib/libatlantikclient.so.1
#14 0x01155a47 in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#15 0x0143d7da in QSignal::signal(QVariant const&) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#16 0x0116f8b8 in QSignal::activate() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#17 0x011768f3 in QSingleShotTimer::event(QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#18 0x010f6e84 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#19 0x010f6662 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#20 0x00decd79 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#21 0x010d1985 in QEventLoop::activateTimers() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#22 0x010af4ad in QEventLoop::processEvents(unsigned) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#23 0x0110b186 in QEventLoop::enterLoop() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#24 0x0110b038 in QEventLoop::exec() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#25 0x010f70c1 in QApplication::exec() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#26 0x0805770e in QGListIterator::~QGListIterator() ()
#27 0x04791678 in __libc_start_main () from /lib/tls/libc.so.6

Version-Release number of selected component (if applicable):
kdegames-3.1.2-6

How reproducible:
Always

Steps to Reproduce:
1.Run Atlantik from the Games Menu
2.Attempt to connect to a server
3.
    

Actual Results:  The program crashes.

Expected Results:  The program connects to the server.

Additional info:
Comment 1 Ngo Than 2003-08-06 10:40:07 EDT
it's fixed in 3.1.3-1 or newer, which will be available in rawhide soon
Comment 2 Justin Churchey 2003-08-07 20:30:10 EDT
What exactly is Rawhide, and will this fix make it's way into the new Linux Beta
soon so that I may continue testing?

Note You need to log in before you can comment on or make changes to this bug.